searchNodes=[{"doc":"A library for interacting with the Solana blockchain.","ref":"Solana.html","title":"Solana","type":"module"},{"doc":"See Solana.Key.pair/0","ref":"Solana.html#keypair/0","title":"Solana.keypair/0","type":"function"},{"doc":"Decodes or extracts a Solana.Key.t/0 from a Base58-encoded string or a Solana.Key.pair/0 . Returns {:ok, key} if the key is valid, or an error tuple if it's not.","ref":"Solana.html#pubkey/1","title":"Solana.pubkey/1","type":"function"},{"doc":"Decodes or extracts a Solana.Key.t/0 from a Base58-encoded string or a Solana.Key.pair/0 . Throws an ArgumentError if it fails to retrieve the public key.","ref":"Solana.html#pubkey!/1","title":"Solana.pubkey!/1","type":"function"},{"doc":"The public key for the RecentBlockhashes system variable","ref":"Solana.html#recent_blockhashes/0","title":"Solana.recent_blockhashes/0","type":"function"},{"doc":"The public key for the Rent system variable .","ref":"Solana.html#rent/0","title":"Solana.rent/0","type":"function"},{"doc":"See Solana.Key.t/0","ref":"Solana.html#t:key/0","title":"Solana.key/0","type":"type"},{"doc":"See Solana.Key.pair/0","ref":"Solana.html#t:keypair/0","title":"Solana.keypair/0","type":"type"},{"doc":"Functions for dealing with Solana's JSON-RPC API .","ref":"Solana.RPC.html","title":"Solana.RPC","type":"module"},{"doc":"Creates an API client used to interact with Solana's JSON-RPC API . Example iex&gt; key = Solana . keypair ( ) |&gt; Solana . pubkey! ( ) iex&gt; client = Solana.RPC . client ( network : &quot;localhost&quot; ) iex&gt; { :ok , signature } = Solana.RPC . send ( client , Solana.RPC.Request . request_airdrop ( key , 1 ) ) iex&gt; is_binary ( signature ) true Options :adapter - Which Tesla adapter to use. The default value is Tesla.Adapter.Httpc . :network - Required. Which Solana cluster to connect to. :retry_options - Options to pass to Tesla.Middleware.Retry . The default value is [] .","ref":"Solana.RPC.html#client/1","title":"Solana.RPC.client/1","type":"function"},{"doc":"Sends the provided requests to the configured Solana RPC endpoint.","ref":"Solana.RPC.html#send/2","title":"Solana.RPC.send/2","type":"function"},{"doc":"Sends the provided transactions to the configured RPC endpoint, then confirms them. Returns a tuple containing all the transactions in the order they were confirmed, OR an error tuple containing the list of all the transactions that were confirmed before the error occurred.","ref":"Solana.RPC.html#send_and_confirm/4","title":"Solana.RPC.send_and_confirm/4","type":"function"},{"doc":"Solana JSON-RPC API client.","ref":"Solana.RPC.html#t:client/0","title":"Solana.RPC.client/0","type":"type"},{"doc":"Functions for creating Solana JSON-RPC API requests. This client only implements the most common methods (see the function documentation below). If you need a method that's on the full list but is not implemented here, please open an issue or contact the maintainers.","ref":"Solana.RPC.Request.html","title":"Solana.RPC.Request","type":"module"},{"doc":"Encodes a Solana.RPC.Request.t/0 (or a list of them) in the required format .","ref":"Solana.RPC.Request.html#encode/1","title":"Solana.RPC.Request.encode/1","type":"function"},{"doc":"Returns all information associated with the account of the provided Pubkey. For more information, see the Solana docs .","ref":"Solana.RPC.Request.html#get_account_info/2","title":"Solana.RPC.Request.get_account_info/2","type":"function"},{"doc":"Returns the balance of the provided pubkey's account. For more information, see the Solana docs .","ref":"Solana.RPC.Request.html#get_balance/2","title":"Solana.RPC.Request.get_balance/2","type":"function"},{"doc":"Returns identity and transaction information about a confirmed block in the ledger. For more information, see the Solana docs .","ref":"Solana.RPC.Request.html#get_block/2","title":"Solana.RPC.Request.get_block/2","type":"function"},{"doc":"Returns minimum balance required to make an account rent exempt. For more information, see the Solana docs .","ref":"Solana.RPC.Request.html#get_minimum_balance_for_rent_exemption/2","title":"Solana.RPC.Request.get_minimum_balance_for_rent_exemption/2","type":"function"},{"doc":"Returns the account information for a list of pubkeys. For more information, see the Solana docs .","ref":"Solana.RPC.Request.html#get_multiple_accounts/2","title":"Solana.RPC.Request.get_multiple_accounts/2","type":"function"},{"doc":"Returns a recent block hash from the ledger, and a fee schedule that can be used to compute the cost of submitting a transaction using it. For more information, see the Solana docs .","ref":"Solana.RPC.Request.html#get_recent_blockhash/1","title":"Solana.RPC.Request.get_recent_blockhash/1","type":"function"},{"doc":"Returns the statuses of a list of signatures. Unless the searchTransactionHistory configuration parameter is included, this method only searches the recent status cache of signatures, which retains statuses for all active slots plus MAX_RECENT_BLOCKHASHES rooted slots. For more information, see the Solana docs .","ref":"Solana.RPC.Request.html#get_signature_statuses/2","title":"Solana.RPC.Request.get_signature_statuses/2","type":"function"},{"doc":"Returns confirmed signatures for transactions involving an address backwards in time from the provided signature or most recent confirmed block. For more information, see the Solana docs .","ref":"Solana.RPC.Request.html#get_signatures_for_address/2","title":"Solana.RPC.Request.get_signatures_for_address/2","type":"function"},{"doc":"Returns the 20 largest accounts of a particular SPL Token type. For more information, see the Solana docs .","ref":"Solana.RPC.Request.html#get_token_largest_accounts/2","title":"Solana.RPC.Request.get_token_largest_accounts/2","type":"function"},{"doc":"Returns the total supply of an SPL Token. For more information, see the Solana docs .","ref":"Solana.RPC.Request.html#get_token_supply/2","title":"Solana.RPC.Request.get_token_supply/2","type":"function"},{"doc":"Returns transaction details for a confirmed transaction. For more information, see the Solana docs .","ref":"Solana.RPC.Request.html#get_transaction/2","title":"Solana.RPC.Request.get_transaction/2","type":"function"},{"doc":"Requests an airdrop of lamports to an account. For more information, see the Solana docs .","ref":"Solana.RPC.Request.html#request_airdrop/3","title":"Solana.RPC.Request.request_airdrop/3","type":"function"},{"doc":"Submits a signed transaction to the cluster for processing. For more information, see the Solana docs .","ref":"Solana.RPC.Request.html#send_transaction/2","title":"Solana.RPC.Request.send_transaction/2","type":"function"},{"doc":"JSON-RPC API request (JSON encoding)","ref":"Solana.RPC.Request.html#t:json/0","title":"Solana.RPC.Request.json/0","type":"type"},{"doc":"JSON-RPC API request (pre-encoding)","ref":"Solana.RPC.Request.html#t:t/0","title":"Solana.RPC.Request.t/0","type":"type"},{"doc":"A GenServer you can use to track the status of transaction signatures. Example iex&gt; key = Solana . keypair ( ) |&gt; Solana . pubkey! ( ) iex&gt; { :ok , tracker } = Solana.RPC.Tracker . start_link ( network : &quot;localhost&quot; ) iex&gt; client = Solana.RPC . client ( network : &quot;localhost&quot; ) iex&gt; { :ok , tx } = Solana.RPC . send ( client , Solana.RPC.Request . request_airdrop ( key , 1 ) ) iex&gt; Solana.Tracker . start_tracking ( tracker , tx ) iex&gt; receive do ...&gt; { :ok , [ ^ tx ] } -&gt; IO . puts ( &quot;confirmed!&quot; ) ...&gt; end confirmed!","ref":"Solana.RPC.Tracker.html","title":"Solana.RPC.Tracker","type":"module"},{"doc":"Returns a specification to start this module under a supervisor. See Supervisor .","ref":"Solana.RPC.Tracker.html#child_spec/1","title":"Solana.RPC.Tracker.child_spec/1","type":"function"},{"doc":"Starts a Solana.RPC.Tracker process linked to the current process.","ref":"Solana.RPC.Tracker.html#start_link/1","title":"Solana.RPC.Tracker.start_link/1","type":"function"},{"doc":"Starts tracking a transaction signature or list of transaction signatures. Sends messages back to the calling process as transactions from the list are confirmed. Stops tracking automatically once transactions have been confirmed.","ref":"Solana.RPC.Tracker.html#start_tracking/3","title":"Solana.RPC.Tracker.start_tracking/3","type":"function"},{"doc":"Functions, types, and structures related to Solana accounts .","ref":"Solana.Account.html","title":"Solana.Account","type":"module"},{"doc":"All the information needed to encode an account in a transaction message.","ref":"Solana.Account.html#t:t/0","title":"Solana.Account.t/0","type":"type"},{"doc":"Functions, types, and structures related to Solana instructions .","ref":"Solana.Instruction.html","title":"Solana.Instruction","type":"module"},{"doc":"All the details needed to encode an instruction.","ref":"Solana.Instruction.html#t:t/0","title":"Solana.Instruction.t/0","type":"type"},{"doc":"Functions for creating and validating Solana keys and keypairs .","ref":"Solana.Key.html","title":"Solana.Key","type":"module"},{"doc":"Checks to see if a Solana.Key.t/0 is valid.","ref":"Solana.Key.html#check/1","title":"Solana.Key.check/1","type":"function"},{"doc":"decodes a base58-encoded key and returns it in a tuple. If it fails, return an error tuple.","ref":"Solana.Key.html#decode/1","title":"Solana.Key.decode/1","type":"function"},{"doc":"decodes a base58-encoded key and returns it. Throws an ArgumentError if it fails.","ref":"Solana.Key.html#decode!/1","title":"Solana.Key.decode!/1","type":"function"},{"doc":"Derives a program address from seeds and a program ID.","ref":"Solana.Key.html#derive_address/2","title":"Solana.Key.derive_address/2","type":"function"},{"doc":"Finds a valid program address. Valid addresses must fall off the ed25519 curve; generate a series of nonces, then combine each one with the given seeds and program ID until a valid address is found. If a valid address is found, return the address and the nonce in a tuple. Otherwise, return an error tuple.","ref":"Solana.Key.html#find_address/2","title":"Solana.Key.find_address/2","type":"function"},{"doc":"Generates a public/private key pair in the format {private_key, public_key}","ref":"Solana.Key.html#pair/0","title":"Solana.Key.pair/0","type":"function"},{"doc":"Reads a public/private key pair from a file system wallet in the format {private_key, public_key} . Returns {:ok, pair} if successful, or {:error, reason} if not.","ref":"Solana.Key.html#pair_from_file/1","title":"Solana.Key.pair_from_file/1","type":"function"},{"doc":"Derive a public key from another key, a seed, and a program ID. The program ID will also serve as the owner of the public key, giving it permission to write data to the account.","ref":"Solana.Key.html#with_seed/3","title":"Solana.Key.with_seed/3","type":"function"},{"doc":"a public/private keypair","ref":"Solana.Key.html#t:pair/0","title":"Solana.Key.pair/0","type":"type"},{"doc":"Solana public or private key","ref":"Solana.Key.html#t:t/0","title":"Solana.Key.t/0","type":"type"},{"doc":"Functions for building and encoding Solana transactions","ref":"Solana.Transaction.html","title":"Solana.Transaction","type":"module"},{"doc":"Checks to see if a transaction's signature is valid. Returns {:ok, signature} if it is, and an error tuple if it isn't.","ref":"Solana.Transaction.html#check/1","title":"Solana.Transaction.check/1","type":"function"},{"doc":"decodes a base58-encoded signature and returns it in a tuple. If it fails, return an error tuple.","ref":"Solana.Transaction.html#decode/1","title":"Solana.Transaction.decode/1","type":"function"},{"doc":"decodes a base58-encoded signature and returns it. Throws an ArgumentError if it fails.","ref":"Solana.Transaction.html#decode!/1","title":"Solana.Transaction.decode!/1","type":"function"},{"doc":"Parses a Solana.Transaction.t/0 from data encoded in Solana's binary format Returns {transaction, extras} if the transaction was successfully parsed, or :error if the provided binary could not be parsed. extras is a keyword list containing information about the encoded transaction, namely: :header - the transaction message header :accounts - an ordered array of accounts :signatures - a list of signed copies of the transaction message","ref":"Solana.Transaction.html#parse/1","title":"Solana.Transaction.parse/1","type":"function"},{"doc":"Encodes a Solana.Transaction.t/0 into a binary format Returns {:ok, encoded_transaction} if the transaction was successfully encoded, or an error tuple if the encoding failed -- plus more error details via Logger.error/1 .","ref":"Solana.Transaction.html#to_binary/1","title":"Solana.Transaction.to_binary/1","type":"function"},{"doc":"The possible errors encountered when encoding a transaction.","ref":"Solana.Transaction.html#t:encoding_err/0","title":"Solana.Transaction.encoding_err/0","type":"type"},{"doc":"All the details needed to encode a transaction.","ref":"Solana.Transaction.html#t:t/0","title":"Solana.Transaction.t/0","type":"type"},{"doc":"Functions for interacting with Solana's System Program","ref":"Solana.SystemProgram.html","title":"Solana.SystemProgram","type":"module"},{"doc":"Generates instructions to allocate space to an account. Accepts an account address generated via Solana.Key.with_seed/3 , as long as the base key, program_id , and seed used to generate that address are provided. Options :account - Required. Public key for the account to allocate :space - Required. Amount of space in bytes to allocate :program_id - Program ID to assign as the owner of the allocated account :base - Base public key to use to derive the allocated account address :seed - Seed to use to derive the allocated account address","ref":"Solana.SystemProgram.html#allocate/1","title":"Solana.SystemProgram.allocate/1","type":"function"},{"doc":"Generates instructions to assign account ownership to a program. Accepts an account address generated via Solana.Key.with_seed/3 , as long as the base key and seed used to generate that address are provided. Options :account - Required. Public key for the account which will receive a new owner :program_id - Required. Program ID to assign as the owner :base - Base public key to use to derive the assigned account address :seed - Seed to use to derive the assigned account address","ref":"Solana.SystemProgram.html#assign/1","title":"Solana.SystemProgram.assign/1","type":"function"},{"doc":"Generates instructions to create a new account. Accepts a new address generated via Solana.Key.with_seed/3 , as long as the base key and seed used to generate that address are provided. Options :lamports - Required. Amount of lamports to transfer to the created account :space - Required. Amount of space in bytes to allocate to the created account :from - Required. The account that will transfer lamports to the created account :new - Required. Public key of the created account :program_id - Required. Public key of the program which will own the created account :base - Base public key to use to derive the created account's address :seed - Seed to use to derive the created account's address","ref":"Solana.SystemProgram.html#create_account/1","title":"Solana.SystemProgram.create_account/1","type":"function"},{"doc":"The System Program's program ID.","ref":"Solana.SystemProgram.html#id/0","title":"Solana.SystemProgram.id/0","type":"function"},{"doc":"Generates instructions to transfer lamports from one account to another. Accepts a from address generated via Solana.Key.with_seed/3 , as long as the base key, program_id , and seed used to generate that address are provided. Options :lamports - Required. Amount of lamports to transfer :from - Required. Account that will transfer lamports :to - Required. Account that will receive the transferred lamports :base - Base public key to use to derive the funding account address :seed - Seed to use to derive the funding account address :program_id - Program ID to use to derive the funding account address","ref":"Solana.SystemProgram.html#transfer/1","title":"Solana.SystemProgram.transfer/1","type":"function"},{"doc":"Functions for interacting with the System Program 's nonce accounts, required for durable transaction nonces . These accounts can be useful for offline transactions, as well as transactions that require more time to generate a transaction signature than the normal recent_blockhash transaction mechanism gives them (~2 minutes).","ref":"Solana.SystemProgram.Nonce.html","title":"Solana.SystemProgram.Nonce","type":"module"},{"doc":"Generates the instructions for advancing a nonce account's stored nonce value. Options :nonce - Required. Public key of the nonce account :authority - Required. Public key of the nonce authority","ref":"Solana.SystemProgram.Nonce.html#advance/1","title":"Solana.SystemProgram.Nonce.advance/1","type":"function"},{"doc":"Generates the instructions for re-assigning the authority of a nonce account. Options :nonce - Required. Public key of the nonce account :authority - Required. Public key of the nonce authority :new_authority - Required. Public key to set as the new nonce authority","ref":"Solana.SystemProgram.Nonce.html#authorize/1","title":"Solana.SystemProgram.Nonce.authorize/1","type":"function"},{"doc":"The size of a serialized nonce account.","ref":"Solana.SystemProgram.Nonce.html#byte_size/0","title":"Solana.SystemProgram.Nonce.byte_size/0","type":"function"},{"doc":"Translates the result of a Solana.RPC.Request.get_account_info/2 into a nonce account's information.","ref":"Solana.SystemProgram.Nonce.html#from_account_info/1","title":"Solana.SystemProgram.Nonce.from_account_info/1","type":"function"},{"doc":"Generates the instructions for initializing a nonce account. Options :nonce - Required. Public key of the nonce account :authority - Required. Public key of the nonce authority","ref":"Solana.SystemProgram.Nonce.html#init/1","title":"Solana.SystemProgram.Nonce.init/1","type":"function"},{"doc":"Generates the instructions for withdrawing funds form a nonce account. Options :nonce - Required. Public key of the nonce account :authority - Required. Public key of the nonce authority :to - Required. Public key of the account which will get the withdrawn lamports :lamports - Required. Amount of lamports to transfer to the created account","ref":"Solana.SystemProgram.Nonce.html#withdraw/1","title":"Solana.SystemProgram.Nonce.withdraw/1","type":"function"},{"doc":"A Solana Test Validator managed by an Elixir process. This allows you to run unit tests as if you had the solana-test-validator tool running in another process. Requirements Since Solana.TestValidator uses the solana-test-validator binary, you'll need to have the Solana tool suite installed. How to Use You can use the Solana.TestValidator directly or in a supervision tree. To use it directly, add the following lines to the beginning of your test/test_helper.exs file: alias Solana.TestValidator { :ok , validator } = TestValidator . start_link ( ledger : &quot;/tmp/test-ledger&quot; ) ExUnit . after_suite ( fn _ -&gt; TestValidator . stop ( validator ) end ) This will start and stop the solana-test-validator before and after your tests run. In a supervision tree Alternatively, you can add it to your application's supervision tree during tests. Modify your mix.exs file to make the current environment available to your application: def application do [ mod : { MyApp , env : Mix . env ( ) } ] end Then, adjust your application's children depending on the environment: defmodule MyApp do use Application def start ( _type , env : env ) do Supervisor . start_link ( children ( env ) , strategy : :one_for_one ) end defp children ( :test ) do [ { Solana.TestValidator , ledger : &quot;/tmp/test_ledger&quot; } , # ... other children ] end defp children ( _ ) do # ...other children end end Options You can pass any of the long-form options you would pass to a solana-test-validator here. For example, to add your own program to the validator, set the bpf_program option as the path to your program's build artifact . See Solana.TestValidator.start_link/1 for more details.","ref":"Solana.TestValidator.html","title":"Solana.TestValidator","type":"module"},{"doc":"Returns a specification to start this module under a supervisor. See Supervisor .","ref":"Solana.TestValidator.html#child_spec/1","title":"Solana.TestValidator.child_spec/1","type":"function"},{"doc":"Gets the state of a Solana.TestValidator process. This is useful when you want to check the latest output of the solana-test-validator .","ref":"Solana.TestValidator.html#get_state/1","title":"Solana.TestValidator.get_state/1","type":"function"},{"doc":"Starts a Solana.TestValidator process linked to the current process. This process runs and monitors a solana-test-validator in the background. Options :bind_address - The default value is &quot;0.0.0.0&quot; . :bpf_program :clone :config - The default value is &quot;/home/derek/.config/solana/cli/config.yml&quot; . :dynamic_port_range - The default value is &quot;1024-65535&quot; . :faucet_port - The default value is 9900 . :faucet_sol - The default value is 1000000 . :gossip_host - The default value is &quot;127.0.0.1&quot; . :gossip_port :url :ledger - The default value is &quot;test-ledger&quot; . :limit_ledger_size - The default value is 10000 . :mint :rpc_port - The default value is 8899 . :slots_per_epoch :warp_slot","ref":"Solana.TestValidator.html#start_link/1","title":"Solana.TestValidator.start_link/1","type":"function"},{"doc":"Stops a Solana.TestValidator process. Should be called when you want to stop the solana-test-validator .","ref":"Solana.TestValidator.html#stop/1","title":"Solana.TestValidator.stop/1","type":"function"},{"doc":"The unofficial Elixir package for interacting with the Solana blockchain. Note that this README refers to the master branch of solana , not the latest released version on Hex. See the documentation for the documentation of the version you're using.","ref":"readme.html","title":"Solana","type":"extras"},{"doc":"Add solana to your list of dependencies in mix.exs : def deps do [ { :solana , &quot;~&gt; 0.2.0&quot; } ] end","ref":"readme.html#installation","title":"Solana - Installation","type":"extras"},{"doc":"JSON-RPC API client Using a custom HTTP client On-chain program interaction Writing a custom program client Testing custom programs","ref":"readme.html#documentation","title":"Solana - Documentation","type":"extras"},{"doc":"solana provides a simple interface for interacting with Solana's JSON-RPC API . Here's an example of requesting an airdrop to a new Solana account via the requestAirdrop method: key = Solana . keypair ( ) |&gt; Solana . pubkey! ( ) client = Solana.RPC . client ( network : &quot;localhost&quot; ) { :ok , signature } = Solana.RPC . send ( client , Solana.RPC.Request . request_airdrop ( key , 1 ) ) Solana.Transaction . check ( signature ) # {:ok, ^signature} To see the full list of supported methods, check the Solana.RPC.Request module. Using a custom HTTP client Since this module uses Tesla for its API client, you can use whichever HTTP client you wish, just be sure to include it in your dependencies: def deps do [ # Gun, for example { :gun , &quot;~&gt; 1.3&quot; } , { :idna , &quot;~&gt; 6.0&quot; } , { :castore , &quot;~&gt; 0.1&quot; } , # SSL verification { :ssl_verify_hostname , &quot;~&gt; 1.0&quot; } , ] end Then, specify the corresponding Tesla.Adapter when creating your client: client = Solana.RPC . client ( network : &quot;localhost&quot; , adapter : { Tesla.Adapter.Gun , certificates_verification : true } ) See the Solana.RPC module for more details about which options are available when creating an API client.","ref":"readme.html#json-rpc-api-client","title":"Solana - JSON-RPC API Client","type":"extras"},{"doc":"Since solana 's JSON-RPC API client supports sendTransaction , you can use it to interact with on-chain Solana programs. solana provides utilities to craft transactions, send them, and confirm them on-chain. It also includes the Solana.SystemProgram module, which allows you to create SystemProgram instructions. Also check out the solana_spl package documentation to interact with the Solana Program Library .","ref":"readme.html#on-chain-program-interaction","title":"Solana - On-chain program interaction","type":"extras"},{"doc":"By providing an interface for the Solana.SystemProgram , solana provides guidelines for how to build interfaces to your own programs. For more examples, see the solana_spl package . Testing custom programs Once you've built your custom program's client, you should probably write some tests for it. solana provides example tests for the Solana.SystemProgram in test/solana/system_program_test.exs , along with an Elixir-managed Solana Test Validator process to test your program locally. See Solana.TestValidator for more details about how to set this up.","ref":"readme.html#writing-a-custom-program-client","title":"Solana - Writing a custom program client","type":"extras"},{"doc":"Copyright © 2021 Derek Meer Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the “Software”), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions: The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software. THE SOFTWARE IS PROVIDED “AS IS”, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.","ref":"license.html","title":"LICENSE","type":"extras"}]